Bug 140724 - agpgart cannot resume from suspend
agpgart cannot resume from suspend
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 09:58 EST by Vesko Tomov
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vesko Tomov 2004-11-24 09:58:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
(I apologize if this bug doesn't belong here.)

When I configure the kernel to include AGPGART with the intel-agp module on a Dell Inspiron 8100 with i815 chipset, the screen will not come back from suspend.  If I disable AGP (either by recompiling the kernel without AGPGART, or with AGPGART and intel-agp as modules and then turn them off in xorg.conf), resume works fine.

Other info: I have nVidia GeForce 2Go video card and the latest Nvidia driver.  From what I have read, AGPGART does not support resume on certain chipsets.  I will be glad to provide other info if someone could point me in the right direction.  (I am a newbe.)  Thanks.  

Version-Release number of selected component (if applicable):
2.6.9-1.678_FC3

How reproducible:
Always

Steps to Reproduce:
1. Configure kernel to include AGPGART (under drivers/char) and select support for intel chipsets.  (These options are enabled by default if kernel is installed from rpm.)
2. Boot, start x (KDE).  Use klaptop to place system in suspend.
3. After system is in suspend, press power button.
    

Actual Results:  Screen remains black.  Unable to switch to console.  Must reboot machine.

Expected Results:  System comes back from suspend with active screen.  This happens if kernel is configured NOT to include AGPGART.

Additional info:
Comment 1 Dave Jones 2005-07-15 16:12:46 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:52:30 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.